aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorJoshua Lock <josh@linux.intel.com>2010-08-24 16:16:47 +0100
committerJoshua Lock <josh@linux.intel.com>2010-08-25 11:15:16 +0100
commit66790ecb4a5faee06b844b41e2524af640fdb3da (patch)
tree0d3ea1be3242bebe978732b24a44649cf3934e0b /scripts
parent196f6f2d20a7926cadaec619f4422209e48a31bd (diff)
downloadopenembedded-core-contrib-66790ecb4a5faee06b844b41e2524af640fdb3da.tar.gz
poky-qemu: check for existence of required libraries
We need some libraries installed to run the built qemu, check for their existence before trying to run the program. Fixes [BUGID #201] Signed-off-by: Joshua Lock <josh@linux.intel.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/poky-qemu12
1 files changed, 12 insertions, 0 deletions
diff --git a/scripts/poky-qemu b/scripts/poky-qemu
index be070d7024..6fe6f5e99b 100755
--- a/scripts/poky-qemu
+++ b/scripts/poky-qemu
@@ -57,6 +57,18 @@ else
shift
fi
+# We can't run without a libGL.so
+libgl='no'
+
+test -e /usr/lib/libGL.so -a -e /usr/lib/libGLU.so && libgl='yes'
+test -e /usr/lib64/libGL.so -a -e /usr/lib64/libGLU.so && libgl='yes'
+
+if [ "$libgl" != 'yes' ]; then
+ echo "You need libGL.so and libGLU.so to exist in your library path to run the QEMU emulator.
+ Ubuntu package names are: libgl1-mesa-dev and libglu1-mesa-dev."
+ exit 1;
+fi
+
INTERNAL_SCRIPT=`which poky-qemu-internal`
. $INTERNAL_SCRIPT